Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687 - mutt/elm can't open mailboxes on nfs filesystems read/write
Summary: mutt/elm can't open mailboxes on nfs filesystems read/write
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-23 14:34 UTC by mcornick
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-01 17:15:08 UTC


Attachments (Terms of Use)

Description mcornick 1999-03-23 14:34:54 UTC
mutt-0.95.4us-1 fails to open any mailbox on any NFS
filesystem for read/write access. It prints "Waiting for
fcntl lock...", waits for five seconds, then opens the
mailbox read-only.

pine, elm, and /usr/bin/Mail can all read NFS-mounted
mailboxes just fine - maybe this is a compile-time option in
mutt that needs to be changed?

Comment 1 mcornick 1999-03-23 15:15:59 UTC
Hmm, now elm is choking on NFS filesystems too. Guessing this is a bug
w/ knfsd (can it not handle the fcntl() call?) and not mutt as
originally reported. Changing Summary and Component (knfsd isn't
listed as a Component...)

Comment 2 Jeff Johnson 1999-03-23 15:38:59 UTC
A goal in Red Hat 5.2 was to use fcntl locking in all mailers.
That basically means that you must either configure NFS lockd
(which is used by fcntl locking) or use some other means to
access your mailbox (pop3 or imap).

Comment 3 Jeff Johnson 1999-05-01 17:15:59 UTC
Please reopen if there is further information.


Note You need to log in before you can comment on or make changes to this bug.